Subject: bug#58363: [PATCH 1/3] Use xsignal1 as required by argument type

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Oct 2022 14:45:39 +0300

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 22 Oct 2022 12:45:02 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> -    xsignal (Qerror, build_string ("Module name not on allowlist"));
> >> +    xsignal1 (Qerror, build_string ("Module name not on allowlist"));
> >
> > Why Qerror here and not Qsqlite_error?  And if the more general Qerror
> > is deliberate, then why not Qmodule_load_failed, for instance?
> 
> This commit just fixes a bug.
> Qsqlite_error is introduced in the next commit.

This is one reason why I prefer a single patch to series of patches.
(I believe Lars prefers that as well.)  It avoids the need to review
patches that are superseded by the following ones, especially when
network delays cause the different parts of the series to be delivered
out of sequence.

So, unless this totally disrupts your workflows, please post patches
as a single coherent changeset, bypassing intermediate steps that are
later superseded.  TIA.